/*-------------------------------------------------------------------------
 |                                                                         
 |                    SAS SETUP FILE FOR 
 |        NATIONAL MENTAL HEALTH SERVICES SURVEY (N-MHSS) - 2019
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed. The metadata
 | provided below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC CIMPORT to import the SAS
 | transport file to a SAS data set on their system. This program can
 | then be used in conjunction with the SAS system data file.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace 'SAS-dataset' with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in this section.
 |
 | If any variables have more than one missing value, they are assigned
 | to the standard missing value of a single period (.) in the statement
 | below. To maintain the original meaning of missing codes, users may want
 | to take advantage of the SAS missing values (the letters A-Z or an
 | underscore preceded by a period).
 |
 | An example of a standard missing value recode:
 |
 |   IF (RELATION = 98 OR RELATION = 99) THEN RELATION = .;
 |
 | The same example using special missing value recodes:
 |
 |    IF RELATION = 98 THEN RELATION = .A;
 |    IF RELATION = 99 THEN RELATION = .B;
 |
 | NOTE:  Users should modify this file to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*').
 | To make this section active in the program, users should remove the SAS
 | comment indicators from this section.
 |
 |------------------------------------------------------------------------*/

* SAS DATA STEP;
DATA;
SET SAS-dataset ;

* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
    IF (MHINTAKE  <= -1) THEN MHINTAKE  = .;
    IF (MHDIAGEVAL  <= -1) THEN MHDIAGEVAL  = .;
    IF (MHREFERRAL  <= -1) THEN MHREFERRAL  = .;
    IF (SMISEDSUD  <= -1) THEN SMISEDSUD  = .;
    IF (TREATMT  <= -1) THEN TREATMT  = .;
    IF (ADMINSERV  <= -1) THEN ADMINSERV  = .;
    IF (SETTINGIP  <= -1) THEN SETTINGIP  = .;
    IF (SETTINGRC  <= -1) THEN SETTINGRC  = .;
    IF (SETTINGDTPH  <= -1) THEN SETTINGDTPH  = .;
    IF (SETTINGOP  <= -1) THEN SETTINGOP  = .;
    IF (FACILITYTYPE  <= -1) THEN FACILITYTYPE  = .;
    IF (FOCUS  <= -1) THEN FOCUS  = .;
    IF (OWNERSHP  <= -1) THEN OWNERSHP  = .;
    IF (PUBLICAGENCY  <= -1) THEN PUBLICAGENCY  = .;
    IF (TREATPSYCHOTHRPY  <= -1) THEN TREATPSYCHOTHRPY  = .;
    IF (TREATFAMTHRPY  <= -1) THEN TREATFAMTHRPY  = .;
    IF (TREATGRPTHRPY  <= -1) THEN TREATGRPTHRPY  = .;
    IF (TREATCOGTHRPY  <= -1) THEN TREATCOGTHRPY  = .;
    IF (TREATDIALTHRPY  <= -1) THEN TREATDIALTHRPY  = .;
    IF (TREATBEHAVMOD  <= -1) THEN TREATBEHAVMOD  = .;
    IF (TREATDUALMHSA  <= -1) THEN TREATDUALMHSA  = .;
    IF (TREATTRAUMATHRPY  <= -1) THEN TREATTRAUMATHRPY  = .;
    IF (TREATACTVTYTHRPY  <= -1) THEN TREATACTVTYTHRPY  = .;
    IF (TREATELECTRO  <= -1) THEN TREATELECTRO  = .;
    IF (TREATTELEMEDINCE  <= -1) THEN TREATTELEMEDINCE  = .;
    IF (TREATPSYCHOMED  <= -1) THEN TREATPSYCHOMED  = .;
    IF (TREATOTH  <= -1) THEN TREATOTH  = .;
    IF (NOTREAT  <= -1) THEN NOTREAT  = .;
    IF (ASSERTCOMM  <= -1) THEN ASSERTCOMM  = .;
    IF (MHINTCASEMGMT  <= -1) THEN MHINTCASEMGMT  = .;
    IF (MHCASEMGMT  <= -1) THEN MHCASEMGMT  = .;
    IF (MHCOURTORDERED  <= -1) THEN MHCOURTORDERED  = .;
    IF (MHCHRONIC  <= -1) THEN MHCHRONIC  = .;
    IF (ILLNESSMGMT  <= -1) THEN ILLNESSMGMT  = .;
    IF (PRIMARYCARE  <= -1) THEN PRIMARYCARE  = .;
    IF (DIETEXERCOUNSEL  <= -1) THEN DIETEXERCOUNSEL  = .;
    IF (FAMPSYCHED  <= -1) THEN FAMPSYCHED  = .;
    IF (MHEDUCATION  <= -1) THEN MHEDUCATION  = .;
    IF (MHHOUSING  <= -1) THEN MHHOUSING  = .;
    IF (SUPPHOUSING  <= -1) THEN SUPPHOUSING  = .;
    IF (MHPSYCHREHAB  <= -1) THEN MHPSYCHREHAB  = .;
    IF (MHVOCREHAB  <= -1) THEN MHVOCREHAB  = .;
    IF (SUPPEMPLOY  <= -1) THEN SUPPEMPLOY  = .;
    IF (FOSTERCARE  <= -1) THEN FOSTERCARE  = .;
    IF (MHLEGAL  <= -1) THEN MHLEGAL  = .;
    IF (MHEMGCY  <= -1) THEN MHEMGCY  = .;
    IF (MHSUICIDE  <= -1) THEN MHSUICIDE  = .;
    IF (MHCONSUMER  <= -1) THEN MHCONSUMER  = .;
    IF (MHTOBACCOUSE  <= -1) THEN MHTOBACCOUSE  = .;
    IF (MHTOBACCOCESS  <= -1) THEN MHTOBACCOCESS  = .;
    IF (MHNICOTINEREP  <= -1) THEN MHNICOTINEREP  = .;
    IF (SMOKINGCESSATION  <= -1) THEN SMOKINGCESSATION  = .;
    IF (MHOTH  <= -1) THEN MHOTH  = .;
    IF (MHNOSVCS  <= -1) THEN MHNOSVCS  = .;
    IF (CHILDAD  <= -1) THEN CHILDAD  = .;
    IF (ADOLES  <= -1) THEN ADOLES  = .;
    IF (YOUNGADULTS  <= -1) THEN YOUNGADULTS  = .;
    IF (ADULT  <= -1) THEN ADULT  = .;
    IF (SENIORS  <= -1) THEN SENIORS  = .;
    IF (SED  <= -1) THEN SED  = .;
    IF (TAYOUNGADULTS  <= -1) THEN TAYOUNGADULTS  = .;
    IF (SPMI  <= -1) THEN SPMI  = .;
    IF (SRVC63  <= -1) THEN SRVC63  = .;
    IF (ALZHDEMENTIA  <= -1) THEN ALZHDEMENTIA  = .;
    IF (SRVC31  <= -1) THEN SRVC31  = .;
    IF (SPECGRPEATING  <= -1) THEN SPECGRPEATING  = .;
    IF (POSTTRAUM  <= -1) THEN POSTTRAUM  = .;
    IF (SRVC116  <= -1) THEN SRVC116  = .;
    IF (TRAUMATICBRAIN  <= -1) THEN TRAUMATICBRAIN  = .;
    IF (SRVC113  <= -1) THEN SRVC113  = .;
    IF (SRVC114  <= -1) THEN SRVC114  = .;
    IF (SRVC115  <= -1) THEN SRVC115  = .;
    IF (SRVC62  <= -1) THEN SRVC62  = .;
    IF (SRVC61  <= -1) THEN SRVC61  = .;
    IF (SRVC32  <= -1) THEN SRVC32  = .;
    IF (SRVC35  <= -1) THEN SRVC35  = .;
    IF (NOSPECGRP  <= -1) THEN NOSPECGRP  = .;
    IF (CRISISTEAM2  <= -1) THEN CRISISTEAM2  = .;
    IF (SIGNLANG  <= -1) THEN SIGNLANG  = .;
    IF (LANG  <= -1) THEN LANG  = .;
    IF (LANGPROV  <= -1) THEN LANGPROV  = .;
    IF (LANG16  <= -1) THEN LANG16  = .;
    IF (LANG_B  <= -1) THEN LANG_B  = .;
    IF (LANG1  <= -1) THEN LANG1  = .;
    IF (LANG2  <= -1) THEN LANG2  = .;
    IF (LANG3  <= -1) THEN LANG3  = .;
    IF (LANG21  <= -1) THEN LANG21  = .;
    IF (LANG4  <= -1) THEN LANG4  = .;
    IF (LANG5  <= -1) THEN LANG5  = .;
    IF (LANG6  <= -1) THEN LANG6  = .;
    IF (LANG7  <= -1) THEN LANG7  = .;
    IF (LANG8  <= -1) THEN LANG8  = .;
    IF (LANG24  <= -1) THEN LANG24  = .;
    IF (LANG9  <= -1) THEN LANG9  = .;
    IF (LANG10  <= -1) THEN LANG10  = .;
    IF (LANG22  <= -1) THEN LANG22  = .;
    IF (LANG25  <= -1) THEN LANG25  = .;
    IF (LANG26  <= -1) THEN LANG26  = .;
    IF (LANG11  <= -1) THEN LANG11  = .;
    IF (LANG19  <= -1) THEN LANG19  = .;
    IF (LANG23  <= -1) THEN LANG23  = .;
    IF (LANG12  <= -1) THEN LANG12  = .;
    IF (LANG13  <= -1) THEN LANG13  = .;
    IF (LANG14  <= -1) THEN LANG14  = .;
    IF (LANG15  <= -1) THEN LANG15  = .;
    IF (LANG20  <= -1) THEN LANG20  = .;
    IF (LANG17  <= -1) THEN LANG17  = .;
    IF (LANG18  <= -1) THEN LANG18  = .;
    IF (SMOKINGPOLICY  <= -1) THEN SMOKINGPOLICY  = .;
    IF (FEESCALE  <= -1) THEN FEESCALE  = .;
    IF (PAYASST  <= -1) THEN PAYASST  = .;
    IF (REVCHK1  <= -1) THEN REVCHK1  = .;
    IF (REVCHK2  <= -1) THEN REVCHK2  = .;
    IF (REVCHK8  <= -1) THEN REVCHK8  = .;
    IF (REVCHK5  <= -1) THEN REVCHK5  = .;
    IF (REVCHK10  <= -1) THEN REVCHK10  = .;
    IF (FUNDSMHA  <= -1) THEN FUNDSMHA  = .;
    IF (FUNDSTATEWELFARE  <= -1) THEN FUNDSTATEWELFARE  = .;
    IF (FUNDSTATEJUV  <= -1) THEN FUNDSTATEJUV  = .;
    IF (FUNDSTATEEDUC  <= -1) THEN FUNDSTATEEDUC  = .;
    IF (FUNDOTHSTATE  <= -1) THEN FUNDOTHSTATE  = .;
    IF (FUNDLOCALGOV  <= -1) THEN FUNDLOCALGOV  = .;
    IF (FUNDCSBG  <= -1) THEN FUNDCSBG  = .;
    IF (FUNDCMHG  <= -1) THEN FUNDCMHG  = .;
    IF (REVCHK15  <= -1) THEN REVCHK15  = .;
    IF (FUNDVA  <= -1) THEN FUNDVA  = .;
    IF (REVCHK17  <= -1) THEN REVCHK17  = .;
    IF (REVCHK2A  <= -1) THEN REVCHK2A  = .;
    IF (LICENMH  <= -1) THEN LICENMH  = .;
    IF (LICENSED  <= -1) THEN LICENSED  = .;
    IF (LICENPH  <= -1) THEN LICENPH  = .;
    IF (LICENSEDFCS  <= -1) THEN LICENSEDFCS  = .;
    IF (LICENHOS  <= -1) THEN LICENHOS  = .;
    IF (JCAHO  <= -1) THEN JCAHO  = .;
    IF (CARF  <= -1) THEN CARF  = .;
    IF (COA  <= -1) THEN COA  = .;
    IF (CMS  <= -1) THEN CMS  = .;
    IF (OTHSTATE  <= -1) THEN OTHSTATE  = .;
*/

RUN;
